> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# データソースプラグインリストを取得

> ナレッジパイプラインで設定されたデータソースノードを一覧表示します。各ノードには使用するプラグインと、ノードの実行に必要なメタデータが含まれます。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /datasets/{dataset_id}/pipeline/datasource-plugins
openapi: 3.0.1
info:
  title: Dify サービス API
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: チャットメッセージ
    description: チャットメッセージとインタラクションに関連する操作です。
  - name: ファイル操作
    description: ファイルのアップロードとプレビューの操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックの操作です。
  - name: 会話管理
    description: 会話管理に関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識の操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
  - name: アノテーション管理
    description: ダイレクト返信用のアノテーション管理に関連する操作です。
  - name: 人間の入力
    description: 人間の入力を要する一時停止中のワークフローの再開操作です。
  - name: ワークフロー実行
    description: ワークフローの実行と管理のための操作です。
  - name: 完了メッセージ
    description: テキスト生成に関連する操作です。
  - name: ナレッジベース
    description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
  - name: ドキュメント
    description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
  - name: チャンク
    description: ドキュメントチャンクと子チャンクの管理のための操作です。
  - name: メタデータ
    description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
  - name: タグ管理
    description: ナレッジベースタグとタグバインディングの管理のための操作です。
  - name: モデル
    description: 利用可能なモデルを取得するための操作です。
  - name: ナレッジパイプライン
    description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
paths:
  /datasets/{dataset_id}/pipeline/datasource-plugins:
    get:
      tags:
        - ナレッジパイプライン
      summary: データソースプラグインリストを取得
      description: >-
        ナレッジパイプラインで設定されたデータソースノードを一覧表示します。各ノードには使用するプラグインと、ノードの実行に必要なメタデータが含まれます。
      operationId: listDatasourcePluginsJa
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: ナレッジベース ID です。
        - name: is_published
          in: query
          schema:
            type: boolean
            default: true
          description: 公開済みのパイプラインからノードを取得するかどうかです。デフォルトは `true` で、公開済みバージョンのノードを返します。
      responses:
        '200':
          description: パイプラインに設定されているデータソースノードのリストです。
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    node_id:
                      type: string
                      description: >-
                        パイプラインワークフロー内のデータソースノードの ID です。
                        [データソースノードを実行](/ja/api-reference/knowledge-pipeline/run-datasource-node)
                        では `node_id` として、
                        [パイプラインを実行](/ja/api-reference/knowledge-pipeline/run-pipeline)
                        では `start_node_id` として渡します。
                    plugin_id:
                      type: string
                      description: このノードを提供するデータソースプラグインの ID です。
                    provider_name:
                      type: string
                      description: データソースプラグインが登録するプロバイダー名です。
                    datasource_type:
                      type: string
                      description: >-
                        データソースのタイプです。`local_file`、`online_document`、`online_drive`、`website_crawl`
                        のいずれかです。
                    title:
                      type: string
                      description: ノードに設定されている表示タイトルです。
                    user_input_variables:
                      type: array
                      description: >-
                        このデータソースに対して呼び出し元が指定するパイプライン入力変数です。ノードのデータソースパラメータ内の
                        `{{#...#}}`
                        参照から導出されます。各要素はワークフローが使用するパイプライン変数のスキーマに従います。
                      items:
                        type: object
                        additionalProperties: true
                    credentials:
                      type: array
                      description: このデータソースの認証に利用できる資格情報のリストです。
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            description: >-
                              資格情報の ID です。
                              [データソースノードを実行](/ja/api-reference/knowledge-pipeline/run-datasource-node)
                              では `credential_id` として、
                              [パイプラインを実行](/ja/api-reference/knowledge-pipeline/run-pipeline)
                              の各データソース項目の `credential_id` フィールドとして渡します。
                          name:
                            type: string
                            description: 資格情報の表示名です。
                          type:
                            type: string
                            description: データソースプラグインが定義する資格情報のタイプです。
                          is_default:
                            type: boolean
                            description: この資格情報がプロバイダーのデフォルトかどうかを示します。
              examples:
                success:
                  summary: レスポンス例
                  value:
                    - node_id: '1719288585006'
                      plugin_id: langgenius/notion_datasource
                      provider_name: notion
                      datasource_type: online_document
                      title: Notion Documents
                      user_input_variables: []
                      credentials:
                        - id: c1d2e3f4-a5b6-7890-abcd-ef1234567890
                          name: Production Notion
                          type: api-key
                          is_default: true
        '400':
          description: '`invalid_param` : このナレッジベースには処理パイプラインが設定されていません。'
          content:
            application/json:
              examples:
                invalid_param:
                  summary: invalid_param
                  value:
                    status: 400
                    code: invalid_param
                    message: Pipeline not found
        '403':
          description: '`forbidden` : このナレッジベースでは API アクセスが有効になっていません。'
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden (api access)
                  value:
                    status: 403
                    code: forbidden
                    message: Dataset api access is not enabled.
        '404':
          description: '`not_found` : ナレッジベースが見つかりません。'
          content:
            application/json:
              examples:
                not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Dataset not found.
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**API Key が欠落または無効な場合、HTTP `401` とエラーコード
        `unauthorized` が返されます。

````